NameCallback (Java SE 12 & JDK 12 )
Keywords: javax.security.auth.callback.NameCallback class

Module java.base
Package javax.security.auth.callback

## Class NameCallback

- java.lang.Object
- - javax.security.auth.callback.NameCallback

- All Implemented Interfaces:
    `Serializable`, `Callback`

      public class NameCallback
      extends Object
      implements Callback, Serializable

  Underlying security services instantiate and pass a `NameCallback` to the `handle` method of a `CallbackHandler` to retrieve name information.

  Since:
    1.4
  See Also:
    `CallbackHandler`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameCallback​(String prompt)` | Construct a `NameCallback` with a prompt.
    `NameCallback​(String prompt, String defaultName)` | Construct a `NameCallback` with a prompt and default name.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDefaultName()` | Get the default name.
    `String` | `getName()` | Get the retrieved name.
    `String` | `getPrompt()` | Get the prompt.
    `void` | `setName​(String name)` | Set the retrieved name.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameCallback

          public NameCallback​(String prompt)

      Construct a `NameCallback` with a prompt.
      Parameters:
        `prompt` - the prompt used to request the name.
      Throws:
        `IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

    - #### NameCallback

          public NameCallback​(String prompt,
                              String defaultName)

      Construct a `NameCallback` with a prompt and default name.
      Parameters:
        `prompt` - the prompt used to request the information.
        `defaultName` - the name to be used as the default name displayed with the prompt.
      Throws:
        `IllegalArgumentException` - if `prompt` is null, if `prompt` has a length of 0, if `defaultName` is null, or if `defaultName` has a length of 0.

  - ### Method Detail

    - #### getPrompt

          public String getPrompt()

      Get the prompt.
      Returns:
        the prompt.

    - #### getDefaultName

          public String getDefaultName()

      Get the default name.
      Returns:
        the default name, or null if this `NameCallback` was not instantiated with a `defaultName`.

    - #### setName

          public void setName​(String name)

      Set the retrieved name.
      Parameters:
        `name` - the retrieved name (which may be null).
      See Also:
        `getName()`

    - #### getName

          public String getName()

      Get the retrieved name.
      Returns:
        the retrieved name (which may be null)
      See Also:
        `setName(java.lang.String)`